---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem04t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3C50, symBinAddr: 0x44E0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x528D0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54810, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54C00, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55BA0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55BB0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _plist, symObjAddr: 0x6D2B0, symBinAddr: 0x26BD0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52540, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52544, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52548, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x526A0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCA2, offset: 0xCA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52758, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCC0, offset: 0xCC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5275C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCD9, offset: 0xCD9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52760, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52764, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD0B, offset: 0xD0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52768, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52770, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9383, offset: 0x9383, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52780, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x939C, offset: 0x939C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52788, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B5, offset: 0x93B5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52790, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52798, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93E7, offset: 0x93E7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x527A0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9401, offset: 0x9401, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x527A8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E7, offset: 0x94E7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x527F0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9500, offset: 0x9500, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x527F8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9519, offset: 0x9519, size: 0x8, addend: 0x0, symName: __ZL16callbacksEnabled, symObjAddr: 0xE7E8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x9532, offset: 0x9532, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52800, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9631, offset: 0x9631, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x7A0, symBinAddr: 0x3180, symSize: 0x80 }
  - { offsetInCU: 0x96C6, offset: 0x96C6, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x6F0, symBinAddr: 0x30D0, symSize: 0xB0 }
  - { offsetInCU: 0x9721, offset: 0x9721, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x5D0, symBinAddr: 0x2FD0, symSize: 0x100 }
  - { offsetInCU: 0x99B4, offset: 0x99B4, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x820, symBinAddr: 0x3200, symSize: 0xC0 }
  - { offsetInCU: 0x9A06, offset: 0x9A06, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x8E0, symBinAddr: 0x32C0, symSize: 0x220 }
  - { offsetInCU: 0x9BEB, offset: 0x9BEB, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xB00, symBinAddr: 0x34E0, symSize: 0xA0 }
  - { offsetInCU: 0x9C9E, offset: 0x9C9E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0xBC0, symBinAddr: 0x3580, symSize: 0x110 }
  - { offsetInCU: 0x9D94, offset: 0x9D94, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xD60, symBinAddr: 0x3690, symSize: 0x150 }
  - { offsetInCU: 0x9F11, offset: 0x9F11, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1AD0, symBinAddr: 0x37E0, symSize: 0x30 }
  - { offsetInCU: 0x9FD2, offset: 0x9FD2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1F60, symBinAddr: 0x3810, symSize: 0x150 }
  - { offsetInCU: 0xA1CA, offset: 0xA1CA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x20B0, symBinAddr: 0x3960, symSize: 0x160 }
  - { offsetInCU: 0xA48A, offset: 0xA48A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2540, symBinAddr: 0x3AC0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6FD, offset: 0xA6FD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2C90, symBinAddr: 0x3F60, symSize: 0x1B0 }
  - { offsetInCU: 0xA918, offset: 0xA918, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2E40, symBinAddr: 0x4110, symSize: 0xA0 }
  - { offsetInCU: 0xA9E7, offset: 0xA9E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x31B0, symBinAddr: 0x41B0, symSize: 0x20 }
  - { offsetInCU: 0xAA1E, offset: 0xAA1E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x31D0, symBinAddr: 0x41D0, symSize: 0x20 }
  - { offsetInCU: 0xAA55, offset: 0xAA55, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x31F0, symBinAddr: 0x41F0, symSize: 0x20 }
  - { offsetInCU: 0xABC4, offset: 0xABC4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3900, symBinAddr: 0x4210, symSize: 0x1A0 }
  - { offsetInCU: 0xAEE0, offset: 0xAEE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3AA0, symBinAddr: 0x43B0, symSize: 0x130 }
  - { offsetInCU: 0xB090, offset: 0xB090, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3EC0, symBinAddr: 0x4750, symSize: 0x1B0 }
  - { offsetInCU: 0xB37F, offset: 0xB37F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x4070, symBinAddr: 0x4900, symSize: 0x80 }
  - { offsetInCU: 0xB448, offset: 0xB448, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x40F0, symBinAddr: 0x4980, symSize: 0x6A0 }
  - { offsetInCU: 0xBFDD, offset: 0xBFDD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAD0, symBinAddr: 0x6270, symSize: 0xB0 }
  - { offsetInCU: 0xC054, offset: 0xC054, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4790, symBinAddr: 0x5020, symSize: 0x70 }
  - { offsetInCU: 0xC0F0, offset: 0xC0F0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x54A0, symBinAddr: 0x5090, symSize: 0xA0 }
  - { offsetInCU: 0xC1FB, offset: 0xC1FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x62D0, symBinAddr: 0x5130, symSize: 0x40 }
  - { offsetInCU: 0xC2F1, offset: 0xC2F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6310, symBinAddr: 0x5170, symSize: 0x2B0 }
  - { offsetInCU: 0xC697, offset: 0xC697, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x65C0, symBinAddr: 0x5420, symSize: 0xC0 }
  - { offsetInCU: 0xC7DD, offset: 0xC7DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x6680, symBinAddr: 0x54E0, symSize: 0x10 }
  - { offsetInCU: 0xC89F, offset: 0xC89F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x6690, symBinAddr: 0x54F0, symSize: 0x220 }
  - { offsetInCU: 0xCB9C, offset: 0xCB9C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9EA0, symBinAddr: 0x5710, symSize: 0x10 }
  - { offsetInCU: 0xCBF9, offset: 0xCBF9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9EB0, symBinAddr: 0x5720, symSize: 0x490 }
  - { offsetInCU: 0xD228, offset: 0xD228, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA340, symBinAddr: 0x5BB0, symSize: 0x10 }
  - { offsetInCU: 0xD2B3, offset: 0xD2B3, size: 0x8, addend: 0x0, symName: _cbDynamicCodeGenerated1, symObjAddr: 0xA350, symBinAddr: 0x5BC0, symSize: 0x170 }
  - { offsetInCU: 0xD441, offset: 0xD441, size: 0x8, addend: 0x0, symName: _cbDynamicCodeGenerated2, symObjAddr: 0xA4C0, symBinAddr: 0x5D30, symSize: 0x130 }
  - { offsetInCU: 0xD604, offset: 0xD604, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6C0, symBinAddr: 0x5E60, symSize: 0x310 }
  - { offsetInCU: 0xD968, offset: 0xD968, size: 0x8, addend: 0x0, symName: _Agent_OnUnload, symObjAddr: 0xA9D0, symBinAddr: 0x6170, symSize: 0x100 }
  - { offsetInCU: 0xDAB9, offset: 0xDAB9, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAB80, symBinAddr: 0x6320, symSize: 0x36A }
...
